Bug 520921 - Config schema not included in core schema
Summary: Config schema not included in core schema
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Schema
Version: 1.2.1
Hardware: All
OS: All
medium
medium
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: 389_1.2.3 639035
TreeView+ depends on / blocked
 
Reported: 2009-09-02 21:11 UTC by Endi Sukma Dewata
Modified: 2015-12-07 16:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 16:44:37 UTC


Attachments (Terms of Use)
Subset of 01common.ldif (3.53 KB, text/plain)
2009-09-02 21:14 UTC, Endi Sukma Dewata
no flags Details
Subset of 30ns-common.ldif (3.98 KB, text/plain)
2009-09-02 21:15 UTC, Endi Sukma Dewata
no flags Details
patch (18.62 KB, patch)
2009-09-29 22:57 UTC, Rich Megginson
no flags Details | Diff

Description Endi Sukma Dewata 2009-09-02 21:11:34 UTC
Some applications such as Samba need to use a DS instance with only the minimum/core schema. However, just including the 00core.ldif is insufficient to have a normal operating DS instance.

Issue #1: Slapd will start, but it will generate these error messages:

Entry "cn=config" has unknown object class "nsslapdConfig"
Entry "cn=encryption,cn=config" has unknown object class "nsEncryptionConfig"
Entry "cn=SNMP,cn=config" has unknown object class "nsSNMP"
Entry "cn=PAM Pass Through Auth,cn=plugins,cn=config" has unknown object class "pamConfig"
Entry "cn=Kerberos uid mapping,cn=mapping,cn=sasl,cn=config" has unknown object class "nsSaslMapping"
Entry "cn=rfc 2829 dn syntax,cn=mapping,cn=sasl,cn=config" has unknown object class "nsSaslMapping"
Entry "cn=rfc 2829 u syntax,cn=mapping,cn=sasl,cn=config" has unknown object class "nsSaslMapping"
Entry "cn=uid mapping,cn=mapping,cn=sasl,cn=config" has unknown object class "nsSaslMapping"
Entry "cn=encryption,cn=config" has unknown object class "nsEncryptionConfig"
Entry "cn=SNMP,cn=config" has unknown object class "nsSNMP"
Entry "ou=Netscape Directory Team,cn=monitor" has unknown object class "organizationalUnit"

Issue #2: Updating an attribute in cn=config will fail with object class violation because of 'unknown object class "nsslapdConfig"'. However, the attribute seems to be updated properly.

Steps to reproduce:
1. Install 389 DS 1.2 or RHDS 8.1.
2. Create an instance using setup-ds.pl, then stop DS.
3. Go to <instance>/schema directory, remove everything except 00core.ldif.
4. Start DS. The error messages in issue #1 will appear in the command line and in error log.
5. Use ldapmodify to change an attribute in cn=config. The operation will fail as described in issue #2.

The schema may need to be rearranged such that the minimum schema still allows the DS to operate properly.

Comment 1 Endi Sukma Dewata 2009-09-02 21:14:30 UTC
Created attachment 359596 [details]
Subset of 01common.ldif

Comment 2 Endi Sukma Dewata 2009-09-02 21:15:05 UTC
Created attachment 359597 [details]
Subset of 30ns-common.ldif

Comment 3 Endi Sukma Dewata 2009-09-02 21:23:07 UTC
To fix the problem, the following files need to be included in the <instance>/schema directory:
- subset of 01common.ldif (see attachment)
- subset of 30ns-common.ldif (see attachment)
- entire 60pam-plugin.ldif (from /etc/dirsrv/schema)

There is still an issue about the last error message in issue #1:

Entry "ou=Netscape Directory Team,cn=monitor" has unknown object class
"organizationalUnit"

The organizationalUnit object class is actually defined in 01common.ldif, but here it's not included in the subset of 01common.ldif because in Samba's case it's going to conflict with the organizationalUnit defined in Samba's schema. One possible solution is changing the object class of "ou=Netscape Directory Team,cn=monitor" into something that can be included in the core schema.

Comment 4 Endi Sukma Dewata 2009-09-29 22:13:32 UTC
Running Samba 4 provisioning tool with DS from master branch (pre-1.2.3) produces the following result:

[29/Sep/2009:17:01:59 -0500] - Information: Non-Secure Port Disabled
[29/Sep/2009:17:02:00 -0500] - Entry "cn=config" has unknown object class "nsslapdConfig"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=plugins, cn=config" has unknown object class "nsContainer"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=sasl,cn=config" has unknown object class "nsContainer"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Password Storage Schemes,cn=plugins, cn=config" has unknown object class "nsContainer"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Syntax Validation Task,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Case Ignore String Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Case Exact String Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Schema Reload,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Space Insensitive String Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Binary Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Bit String Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Octet String Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Boolean Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Generalized Time Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Telephone Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Telex Number Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Teletex Terminal Identifier Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Enhanced Guide Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Facsimile Telephone Number Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Fax Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Guide Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Delivery Method Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Integer Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Distinguished Name Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Name And Optional UID Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=OID Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=URI Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=JPEG Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Country String Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Postal Address Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Numeric String Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Printable String Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=State Change Plugin,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Roles Plugin,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=ACL Plugin,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=ACL preoperation,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Legacy Replication Plugin,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=MemberOf Plugin,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Multimaster Replication Plugin,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Retro Changelog Plugin,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Class of Service,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Views,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=referential integrity postoperation,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=attribute uniqueness,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=7-bit check,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=deref,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=deref,cn=plugins,cn=config" has unknown object class "nsContainer"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Internationalization Plugin,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=HTTP Client,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Linked Attributes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Linked Attributes,cn=plugins,cn=config" has unknown object class "nsContainer"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Pass Through Authentication,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=USN,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=chaining database,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=PAM Pass Through Auth,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=PAM Pass Through Auth,cn=plugins,cn=config" has unknown object class "pamConfig"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Bitwise Plugin,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Distributed Numeric Assignment Plugin,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Distributed Numeric Assignment Plugin,cn=plugins,cn=config" has unknown object class "nsContainer"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=SSHA,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=SSHA256,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=SSHA384,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=SSHA512,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=SHA,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=SHA256,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=SHA384,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=SHA512,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=CRYPT,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=MD5,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=CLEAR,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=NS-MTA-MD5,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=DES,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsBackendInstance"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=configData,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsBackendInstance"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=schemaData,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsBackendInstance"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=sambaData,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsBackendInstance"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=aci,cn=default indexes, cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=cn,cn=default indexes, cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=entrydn,cn=default indexes, cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=entryusn,cn=default indexes, cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=givenName,cn=default indexes, cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=mail,cn=default indexes, cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=mailAlternateAddress,cn=default indexes, cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=mailHost,cn=default indexes, cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=member,cn=default indexes, cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=memberOf,cn=default indexes, cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=nsUniqueId,cn=default indexes, cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=numsubordinates,cn=default indexes, cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=objectclass,cn=default indexes, cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=owner,cn=default indexes, cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=parentid,cn=default indexes, cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=seeAlso,cn=default indexes, cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=sn,cn=default indexes, cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=telephoneNumber,cn=default indexes, cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=uid,cn=default indexes, cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=ntUniqueId,cn=default indexes, cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=ntUserDomainId,cn=default indexes, cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=uniquemember,cn=default indexes, cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=\22DC=samba,DC=example,DC=com\22,cn=mapping tree,cn=config" has unknown object class "nsMappingTree"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=\22CN=Configuration,DC=samba,DC=example,DC=com\22,cn=mapping tree,cn=config" has unknown object class "nsMappingTree"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=\22CN=Schema,CN=Configuration,DC=samba,DC=example,DC=com\22,cn=mapping tree,cn=config" has unknown object class "nsMappingTree"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=\22CN=Samba\22,cn=mapping tree,cn=config" has unknown object class "nsMappingTree"
bin/python/samba/provision.py:1836: DeprecationWarning: raising a string exception is deprecated
  raise("ldib2db failed")
Traceback (most recent call last):
  File "./setup/provision", line 201, in <module>
    ldap_dryrun_mode=opts.ldap_dryrun_mode)
  File "bin/python/samba/provision.py", line 1138, in provision
    ldap_dryrun_mode=ldap_dryrun_mode)
  File "bin/python/samba/provision.py", line 1485, in __init__
    ldap_dryrun_mode=ldap_dryrun_mode)
  File "bin/python/samba/provision.py", line 1836, in provision_fds_backend
    raise("ldib2db failed")
ldib2db failed
Unable to provision: 
NSS_WRAPPER_PASSWD="/root/Samba/samba/source4/st/dc/etc/passwd" NSS_WRAPPER_GROUP="/root/Samba/samba/source4/st/dc/etc/group" /usr/bin/python2.5 ./setup/provision --configfile=/root/Samba/samba/source4/st/dc/etc/smb.conf --host-name=localdc1 --host-ip=127.0.0.1 --quiet --domain=SAMBADOMAIN --realm=SAMBA.EXAMPLE.COM --adminpass=localdcpass --krbtgtpass=krbtgtlocaldcpass --machinepass=machinelocaldcpass --root=root --server-role="domain controller" --ldap-backend-type=fedora-ds --slapd-path=/usr/sbin/ns-slapd --setup-ds-path=/usr/sbin/setup-ds.pl
[29/Sep/2009:17:02:00 -0500] - Entry "cn=mapping,cn=sasl,cn=config" has unknown object class "nsContainer"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=Kerberos uid mapping,cn=mapping,cn=sasl,cn=config" has unknown object class "nsSaslMapping"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=rfc 2829 dn syntax,cn=mapping,cn=sasl,cn=config" has unknown object class "nsSaslMapping"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=rfc 2829 u syntax,cn=mapping,cn=sasl,cn=config" has unknown object class "nsSaslMapping"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=uid mapping,cn=mapping,cn=sasl,cn=config" has unknown object class "nsSaslMapping"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=samba-admin mapping,cn=mapping,cn=sasl,cn=config" has unknown object class "nsSaslMapping"
[29/Sep/2009:17:02:00 -0500] - Entry "" -- attribute "nsuniqueid" not allowed
[29/Sep/2009:17:02:00 -0500] - Entry "cn=features,cn=config" has unknown object class "nsContainer"
[29/Sep/2009:17:02:00 -0500] - Entry "oid=2.16.840.1.113730.3.4.9,cn=features,cn=config" has unknown object class "directoryServerFeature"
[29/Sep/2009:17:02:00 -0500] - Entry "oid=2.16.840.1.113730.3.5.7,cn=features,cn=config" has unknown object class "directoryServerFeature"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=options,cn=features,cn=config" has unknown object class "nsContainer"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=encryption,cn=config" has unknown object class "nsEncryptionConfig"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=sasl,cn=config" has unknown object class "nsContainer"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=mapping,cn=sasl,cn=config" has unknown object class "nsContainer"
[29/Sep/2009:17:02:00 -0500] - Entry "cn=SNMP,cn=config" has unknown object class "nsSNMP"
[29/Sep/2009:17:02:00 -0500] - Backend Instance: sambaData
[29/Sep/2009:17:02:00 -0500] uuid - add_state_entry: add operation failed; LDAP error - 21.
[29/Sep/2009:17:02:00 -0500] uuid - uuid_init: failed to save generator's state.
[29/Sep/2009:17:02:00 -0500] uniqueid generator - uniqueIDGenInit: generator initialization failed
[29/Sep/2009:17:02:00 -0500] - Fatal Error---Failed to initialize uniqueid generator; error = 13. Exiting now.

Comment 5 Rich Megginson 2009-09-29 22:57:38 UTC
Created attachment 363060 [details]
patch

Comment 6 Rich Megginson 2009-09-30 01:50:38 UTC
To ssh://git.fedorahosted.org/git/389/ds.git
   675508c..de00631  master -> master

commit de006310079abf5c93caed26d33455e22d7c7eb4
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Tue Sep 29 16:55:32 2009 -0600

    Reviewed by: nkinder (Thanks!)
    Fix Description: Just had to move a few schema from 02common and 30ns-common
 into 01core389.ldif.  I also added 01core389.ldif to the list of schema install
ed
    when install_full_schema=0 is specified with setup-ds.pl.  I also added thes
e schema files to the list of schema files to upgrade.
    With these changes, the server starts up fine.  The only error is this:
    [29/Sep/2009:16:47:53 -0600] - Entry "cn=PAM Pass Through Auth,cn=plugins,cn
=config" has unknown object class "pamConfig"
    This is because the pam pass through plugin is included in the default confi
g.  I'd rather not move that schema file.  That plugin can be removed from the d
efault config during setup by specifying a slapd.ConfigFile directive with conte
nts like this:
     dn: cn=PAM Pass Through Auth,cn=plugins,cn=config
     changetype: delete
    Platforms tested: RHEL5 x86_64
    Flag Day: no
    Doc impact: no

Comment 7 Amita Sharma 2011-06-20 12:59:08 UTC
Steps to Test: (Following steps in Comment#0 )
1. Install 389 DS 1.2 or RHDS 8.1.

Your new DS instance 'amsharma' was successfully created.
Exiting . . .
Log file is '/tmp/setupSiANs0.log'

2. Create an instance using setup-ds.pl, then stop DS.
[root@amsharma /]# service dirsrv stop
Shutting down dirsrv: 
    amsharma...                                            [  OK  ]

3. Go to <instance>/schema directory, remove everything except 00core.ldif.
[root@amsharma schema]# ls -l
total 296
-r--r----- 1 nobody nobody 26733 Jun 20 18:01 00core.ldif
-r--r----- 1 nobody nobody 21890 Jun 20 18:01 01core389.ldif
-r--r----- 1 nobody nobody 31091 Jun 20 18:01 02common.ldif
-r--r----- 1 nobody nobody  2620 Jun 20 18:01 05rfc2927.ldif
-r--r----- 1 nobody nobody  5854 Jun 20 18:01 05rfc4523.ldif
-r--r----- 1 nobody nobody 10481 Jun 20 18:01 05rfc4524.ldif
-r--r----- 1 nobody nobody  4750 Jun 20 18:01 06inetorgperson.ldif
-r--r----- 1 nobody nobody  4331 Jun 20 18:01 10mep-plugin.ldif
-r--r----- 1 nobody nobody  9211 Jun 20 18:01 10rfc2307.ldif
-r--r----- 1 nobody nobody  6385 Jun 20 18:01 20subscriber.ldif
-r--r----- 1 nobody nobody  4624 Jun 20 18:01 25java-object.ldif
-r--r----- 1 nobody nobody  3645 Jun 20 18:01 28pilot.ldif
-r--r----- 1 nobody nobody 10833 Jun 20 18:01 30ns-common.ldif
-r--r----- 1 nobody nobody  8374 Jun 20 18:01 50ns-admin.ldif
-r--r----- 1 nobody nobody  2866 Jun 20 18:01 50ns-certificate.ldif
-r--r----- 1 nobody nobody 18321 Jun 20 18:01 50ns-directory.ldif
-r--r----- 1 nobody nobody 10576 Jun 20 18:01 50ns-mail.ldif
-r--r----- 1 nobody nobody  4776 Jun 20 18:01 50ns-value.ldif
-r--r----- 1 nobody nobody  2865 Jun 20 18:01 50ns-web.ldif
-r--r----- 1 nobody nobody  1948 Jun 20 18:01 60acctpolicy.ldif
-r--r----- 1 nobody nobody  1129 Jun 20 18:01 60autofs.ldif
-r--r----- 1 nobody nobody  3311 Jun 20 18:01 60eduperson.ldif
-r--r----- 1 nobody nobody  6856 Jun 20 18:01 60mozilla.ldif
-r--r----- 1 nobody nobody   741 Jun 20 18:01 60nss-ldap.ldif
-r--r----- 1 nobody nobody  4036 Jun 20 18:01 60pam-plugin.ldif
-r--r----- 1 nobody nobody  3552 Jun 20 18:01 60pureftpd.ldif
-r--r----- 1 nobody nobody  3497 Jun 20 18:01 60rfc2739.ldif
-r--r----- 1 nobody nobody 15368 Jun 20 18:01 60rfc3712.ldif
-r--r----- 1 nobody nobody  2040 Jun 20 18:01 60sabayon.ldif
-r--r----- 1 nobody nobody  1970 Jun 20 18:01 60sudo.ldif
-r--r----- 1 nobody nobody  1281 Jun 20 18:01 60trust.ldif
-rw-rw---- 1 nobody nobody  2210 Jun 20 18:01 99user.ldif

 
[root@amsharma schema]# ls -l
total 28
-r--r----- 1 nobody nobody 26733 Jun 20 18:01 00core.ldif

4. Start DS. The error messages in issue #1 will appear in the command line and
in error log.
[root@amsharma schema]# service dirsrv start
Starting dirsrv: 
    amsharma...[20/Jun/2011:18:23:24 +051800] - Entry "cn=config" has unknown object class "nsslapdConfig"
[20/Jun/2011:18:23:24 +051800] - Entry "cn=encryption,cn=config" has unknown object class "nsEncryptionConfig"
[20/Jun/2011:18:23:24 +051800] - Entry "cn=features,cn=config" has unknown object class "nsContainer"
[20/Jun/2011:18:23:24 +051800] - Entry "cn=plugins,cn=config" has unknown object class "nsContainer"
[20/Jun/2011:18:23:24 +051800] - Entry "cn=sasl,cn=config" has unknown object class "nsContainer"
[20/Jun/2011:18:23:24 +051800] - Entry "cn=SNMP,cn=config" has unknown object class "nsSNMP"
[20/Jun/2011:18:23:24 +051800] - Entry "cn=options,cn=features,cn=config" has unknown object class "nsContainer"
[20/Jun/2011:18:23:24 +051800] - Entry "oid=2.16.840.1.113730.3.4.9,cn=features,cn=config" has unknown object class "directoryServerFeature"
[20/Jun/2011:18:23:24 +051800] - Entry "oid=2.16.840.1.113730.3.5.7,cn=features,cn=config" has unknown object class "directoryServerFeature"
[20/Jun/2011:18:23:24 +051800] - Entry "cn=dc\3Dpnq\2Cdc\3Dredhat\2Cdc\3Dcom,cn=mapping tree,cn=config" has unknown object class "nsMappingTree"
[20/Jun/2011:18:23:24 +051800] - Entry "cn=7-bit check,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:24 +051800] - Entry "cn=Account Policy Plugin,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:24 +051800] - Entry "cn=ACL Plugin,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:24 +051800] - Entry "cn=ACL preoperation,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:24 +051800] - Entry "cn=attribute uniqueness,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:24 +051800] - Entry "cn=Binary Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:24 +051800] - Entry "cn=Bit String Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:24 +051800] - Entry "cn=Bitwise Plugin,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:24 +051800] - Entry "cn=Boolean Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:24 +051800] - Entry "cn=Case Exact String Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:24 +051800] - Entry "cn=Case Ignore String Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:24 +051800] - Entry "cn=chaining database,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:24 +051800] - Entry "cn=Class of Service,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=Country String Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=Delivery Method Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=deref,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=deref,cn=plugins,cn=config" has unknown object class "nsContainer"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=Distinguished Name Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=Distributed Numeric Assignment Plugin,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=Distributed Numeric Assignment Plugin,cn=plugins,cn=config" has unknown object class "nsContainer"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=Enhanced Guide Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=Facsimile Telephone Number Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=Fax Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=Generalized Time Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=Guide Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=HTTP Client,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=Integer Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=Internationalization Plugin,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=JPEG Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=Legacy Replication Plugin,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=Linked Attributes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=Linked Attributes,cn=plugins,cn=config" has unknown object class "nsContainer"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=Managed Entries,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=Managed Entries,cn=plugins,cn=config" has unknown object class "nsContainer"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=MemberOf Plugin,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=Multimaster Replication Plugin,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=Name And Optional UID Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=Numeric String Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=Octet String Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=OID Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:25 +051800] - Entry "cn=PAM Pass Through Auth,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=PAM Pass Through Auth,cn=plugins,cn=config" has unknown object class "pamConfig"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=Pass Through Authentication,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsContainer"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=Postal Address Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=Printable String Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=referential integrity postoperation,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=Retro Changelog Plugin,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=Roles Plugin,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=Schema Reload,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=Space Insensitive String Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=State Change Plugin,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=Syntax Validation Task,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=Telephone Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=Teletex Terminal Identifier Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=Telex Number Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=URI Syntax,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=USN,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=Views,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=mapping,cn=sasl,cn=config" has unknown object class "nsContainer"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsBackendInstance"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=CLEAR,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=CRYPT,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=DES,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=MD5,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=NS-MTA-MD5,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=SHA,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=SHA256,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=SHA384,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=SHA512,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=SMD5,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:26 +051800] - Entry "cn=SSHA,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=SSHA256,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=SSHA384,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=SSHA512,cn=Password Storage Schemes,cn=plugins,cn=config" has unknown object class "nsSlapdPlugin"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=Kerberos uid mapping,cn=mapping,cn=sasl,cn=config" has unknown object class "nsSaslMapping"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=rfc 2829 dn syntax,cn=mapping,cn=sasl,cn=config" has unknown object class "nsSaslMapping"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=rfc 2829 u syntax,cn=mapping,cn=sasl,cn=config" has unknown object class "nsSaslMapping"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=uid mapping,cn=mapping,cn=sasl,cn=config" has unknown object class "nsSaslMapping"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=aci,cn=default indexes,cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=cn,cn=default indexes,cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=entryusn,cn=default indexes,cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=givenName,cn=default indexes,cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=mail,cn=default indexes,cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=mailAlternateAddress,cn=default indexes,cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=mailHost,cn=default indexes,cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=member,cn=default indexes,cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=memberOf,cn=default indexes,cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=nsUniqueId,cn=default indexes,cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=ntUniqueId,cn=default indexes,cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=ntUserDomainId,cn=default indexes,cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=numsubordinates,cn=default indexes,cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=objectclass,cn=default indexes,cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=owner,cn=default indexes,cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=parentid,cn=default indexes,cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=seeAlso,cn=default indexes,cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=sn,cn=default indexes,cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=telephoneNumber,cn=default indexes,cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=uid,cn=default indexes,cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=uniquemember,cn=default indexes,cn=config,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=aci,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:27 +051800] - Entry "cn=cn,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=entryrdn,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=entryusn,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=givenName,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=mail,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=mailAlternateAddress,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=mailHost,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=member,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=memberOf,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=nscpEntryDN,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=nsds5ReplConflict,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=nsuniqueid,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=ntUniqueId,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=ntUserDomainId,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=numsubordinates,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=objectclass,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=owner,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=parentid,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=seeAlso,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=sn,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=telephoneNumber,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=uid,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=uniquemember,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config" has unknown object class "nsIndex"
[20/Jun/2011:18:23:28 +051800] - Entry "" -- attribute "nsuniqueid" not allowed
[20/Jun/2011:18:23:28 +051800] - Entry "cn=features,cn=config" has unknown object class "nsContainer"
[20/Jun/2011:18:23:28 +051800] - Entry "oid=2.16.840.1.113730.3.4.9,cn=features,cn=config" has unknown object class "directoryServerFeature"
[20/Jun/2011:18:23:28 +051800] - Entry "oid=2.16.840.1.113730.3.5.7,cn=features,cn=config" has unknown object class "directoryServerFeature"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=options,cn=features,cn=config" has unknown object class "nsContainer"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=encryption,cn=config" has unknown object class "nsEncryptionConfig"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=sasl,cn=config" has unknown object class "nsContainer"
[20/Jun/2011:18:23:28 +051800] - Entry "cn=mapping,cn=sasl,cn=config" has unknown object class "nsContainer"
[20/Jun/2011:18:23:29 +051800] - Entry "cn=SNMP,cn=config" has unknown object class "nsSNMP"
00core.ldi                                                 [  OK  ]

[root@amsharma schema]# service dirsrv status
dirsrv amsharma (pid 13645) is running...


5. Use ldapmodify to change an attribute in cn=config. The operation will fail
as described in issue #2.
ldapmodify -x -h localhost -p 389 -D "cn=directory manager" -w Secret123 << EOF
dn: cn=config
changetype: modify
replace: nsslapd-errorlog-level
nsslapd-errorlog-level: 8192

[root@amsharma schema]# ldapmodify -x -h localhost -p 389 -D "cn=directory manager" -w Secret123 << EOF
> dn: cn=config
> changetype: modify
> replace: nsslapd-errorlog-level
> nsslapd-errorlog-level: 8192
> EOF
modifying entry "cn=config"
ldap_modify: Object class violation (65)
	additional info: unknown object class "nsslapdConfig"


The schema may need to be rearranged such that the minimum schema still allows
the DS to operate properly.

Note - I think I need to keep some more files in Schema (not only 00core.ldif)?
[root@amsharma schema]# rpm -qa | grep 389
389-admin-console-doc-1.1.7-1.el6.noarch
389-admin-console-1.1.7-1.el6.noarch
389-ds-base-devel-1.2.8.4-1.el6.x86_64
389-ds-console-1.2.5-1.el6.noarch
389-ds-1.2.1-2.el6.noarch
389-adminutil-1.1.13-1.el6.x86_64
389-console-1.1.4-1.el6.noarch
389-ds-base-libs-1.2.8.4-1.el6.x86_64
389-admin-1.1.16-2.el6.x86_64
389-ds-base-1.2.8.4-1.el6.x86_64
389-ds-console-doc-1.2.5-1.el6.noarch
[root@amsharma schema]#

Comment 8 Rich Megginson 2011-06-20 15:12:15 UTC
Right.  So far you have reproduced the original bug.  Now, to verify that the bug is fixed, you need to add back the following schema files:
01common.ldif 30ns-common.ldif 60pam-plugin.ldif

Comment 9 Amita Sharma 2011-06-21 06:37:29 UTC
[root@amsharma schema]# ls -l
total 100
-r--r----- 1 nobody nobody 26733 Jun 21 11:59 00core.ldif
-r--r----- 1 nobody nobody 22108 Jun 21 11:59 01core389.ldif
-r--r----- 1 nobody nobody 31091 Jun 21 11:59 02common.ldif
-r--r----- 1 nobody nobody 10833 Jun 21 11:59 30ns-common.ldif
-r--r----- 1 nobody nobody  4036 Jun 21 11:59 60pam-plugin.ldif
[root@amsharma schema]# service dirsrv restart
Shutting down dirsrv: 
    amsharma...                                            [  OK  ]
Starting dirsrv: 
    amsharma...                                            [  OK  ]
[root@amsharma schema]# 

[root@amsharma schema]# ldapmodify -x -h localhost -p 389 -D "cn=directory manager" -w Secret123 << EOF
> dn: cn=config
> changetype: modify
> replace: nsslapd-errorlog-level
> nsslapd-errorlog-level: 8192
> EOF
modifying entry "cn=config"

Sorry, but I did not fine the 01common.ldif file at  cd /etc/dirsrv/slapd-rhel61/schema/?? Rest all is fine.

Comment 10 Rich Megginson 2011-06-21 14:19:20 UTC
(In reply to comment #9)
> [root@amsharma schema]# ls -l
> total 100
> -r--r----- 1 nobody nobody 26733 Jun 21 11:59 00core.ldif
> -r--r----- 1 nobody nobody 22108 Jun 21 11:59 01core389.ldif
> -r--r----- 1 nobody nobody 31091 Jun 21 11:59 02common.ldif
> -r--r----- 1 nobody nobody 10833 Jun 21 11:59 30ns-common.ldif
> -r--r----- 1 nobody nobody  4036 Jun 21 11:59 60pam-plugin.ldif
> [root@amsharma schema]# service dirsrv restart
> Shutting down dirsrv: 
>     amsharma...                                            [  OK  ]
> Starting dirsrv: 
>     amsharma...                                            [  OK  ]
> [root@amsharma schema]# 
> 
> [root@amsharma schema]# ldapmodify -x -h localhost -p 389 -D "cn=directory
> manager" -w Secret123 << EOF
> > dn: cn=config
> > changetype: modify
> > replace: nsslapd-errorlog-level
> > nsslapd-errorlog-level: 8192
> > EOF
> modifying entry "cn=config"
> 
> Sorry, but I did not fine the 01common.ldif file at  cd
> /etc/dirsrv/slapd-rhel61/schema/?? Rest all is fine.

Sorry, I meant 02common.ldif.  So yes, looks like everything is working correctly.

Comment 11 Amita Sharma 2011-06-22 08:57:58 UTC
yeah, marking as VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.